Gtk2::WebKit::WebDatabase(3)

NAME
Gtk2::WebKit::WebDatabase

HIERARCHY
  Glib::Object
  +----Gtk2::WebKit::WebDatabase

METHODS

  Gtk2::WebKit::WebDatabase->webkit_get_default_web_database_quota

  string = Gtk2::WebKit::WebDatabase->webkit_get_web_database_directory_path

  Gtk2::WebKit::WebDatabase->webkit_remove_all_web_databases

  Gtk2::WebKit::WebDatabase->webkit_set_default_web_database_quota ($default_quota)

•   $default_quota (64 bit unsigned)

  Gtk2::WebKit::WebDatabase->webkit_set_web_database_directory_path ($path)

•   $path (string)

  string = $web_database->webkit_web_database_get_display_name

  64 bit unsigned = $web_database->webkit_web_database_get_expected_size

  string = $web_database->webkit_web_database_get_filename

  string = $web_database->webkit_web_database_get_name

  securityorigin = $web_database->webkit_web_database_get_security_origin

  64 bit unsigned = $web_database->webkit_web_database_get_size

  $web_database->webkit_web_database_remove

PROPERTIES

'display-name' (string : default undef : readable / private)
    The display name of the Web Storage database

'expected-size' (Glib::UInt64 : default 0 : readable / private)
    The expected size of the Web Database database

'filename' (string : default undef : readable / private)
    The absolute filename of the Web Storage database

'name' (string : default undef : readable / writable / construct-only)
    The name of the Web Database database

'security-origin' (Gtk2::WebKit::SecurityOrigin : default undef : readable / writable / construct-only)
    The security origin of the database

'size' (Glib::UInt64 : default 0 : readable / private)
    The current size of the Web Database database

SEE ALSO
Gtk2::WebKit, Glib::Object

COPYRIGHT
Copyright (C) 2008, Florian Ragwitz